Subject: Re: application of BGP
From: Ravi Chandra <[email-masked]>
To: [email-masked] (Duke Tantiprasut)
Cc: [email-masked]
Date: Thu, 16 Oct 1997 22:29:35 -0700

> > 
> > 
> > Duke, you could definetly do that.. I know of many large networks that
> > are build with BGP core. It is like a mini-internet ;-)
> > 
> > --ravi
> 
> Hi Ravi,
> 
> do you know how they handle things like AS numbers? do they get multiple AS
> numbers assigned?

It depends. There are many different ways to do it and it depends and
the requirement... If they do not need external connectivety the whole
thing could be made up of private AS numbers.

If external connectivety is needed, one could have an BGP core with
public AS number and other sub-AS with private AS number. Then one
needs to apply private AS stripping at the external connectivety
point.

--ravi

> 
> Duke
> 

Date: Thu, 16 Oct 97 22:32 PDT
From: Randy Bush <[email-masked]>
To: [email-masked] (Duke Tantiprasut)
Cc: [email-masked] (Steve Alden), [email-masked]
Reply-To: [email-masked]
Subject: Re: application of BGP
Sender: [email-masked]

iBGP meets many of the needs of an IGP.  Problem is that BGP, though nice
for policy, is very weak on metrics.  So, if there is redundancy in your
graph, iBGP alone will not do well at choosing paths.

I suspect there may be more appropriate lists on which to discuss this,
e.g. NANOG etc., as it does not relate to protocol design issues.  So I
have taken the liberty of setting Reply-To:.

randy

From: [email-masked] (Duke Tantiprasut)
Subject: Re: application of BGP
To: [email-masked] (Ravi Chandra)
Date: Fri, 17 Oct 1997 13:27:16 +0800 (WST)
Cc: [email-masked]
Sender: [email-masked]

> 
> 
> Duke, you could definetly do that.. I know of many large networks that
> are build with BGP core. It is like a mini-internet ;-)
> 
> --ravi

Hi Ravi,

do you know how they handle things like AS numbers? do they get multiple AS
numbers assigned?

Duke

To: [email-masked] (Duke Tantiprasut)
cc: [email-masked] (Steve Alden), [email-masked]
Subject: Re: application of BGP 
Date: Thu, 16 Oct 1997 22:05:16 -0700
From: Ravi Chandra <[email-masked]>
Sender: [email-masked]

> > 
> > BGP is used to connect multiple AS's.  It's not clear to me if you are
> > trying to connect multiple AS's or if you are trying to redistribute
> > between multiple IGP's in the same AS.
> > 
> > If you are connecting multiple AS's mesh your neighbors to a route server.
> > The route server makes the meshing easy to do.
> > 
> > If your trying to redistribute between IGP's (ie: ospf, is-is etc.) the
> > redistribute commands are pretty straight forward (ie: redistribute ospf,
> > rip, static etc.).  With link state protocols you can't use distribute
> > lists because the topology databases need to be synchronized. 
> > 
> 
> Hi Steve,
> 
> I'm an trying to redistribute multiple IGPs in the same AS. It seems to me
> however that peer redistribution (e.g. directly between ospf/rip, etc) is a
> tricky business and if you have lots of entry/exit points, it can be quite
> complicated.
> 
> I was just wondering if BGP could be used since it was designed to interconne
ct
> different IGPs and already ensures no looping of routing information, provide
s
> selection of paths, etc. What I am proposing is using BGP to introduce anothe
r
> routing abstraction between IGP routing  and  EGP routing. I was just wonderi
ng
> if using BGP to provide a consistent interface between IGP justifies the extr
a
> overhead/complexity of introducing BGP.

Duke, you could definetly do that.. I know of many large networks that
are build with BGP core. It is like a mini-internet ;-)

--ravi

> 
> Duke
> 

From: [email-masked] (Duke Tantiprasut)
Subject: Re: application of BGP
To: [email-masked] (Steve Alden)
Date: Fri, 17 Oct 1997 10:29:44 +0800 (WST)
Cc: [email-masked]
Sender: [email-masked]

> 
> BGP is used to connect multiple AS's.  It's not clear to me if you are
> trying to connect multiple AS's or if you are trying to redistribute
> between multiple IGP's in the same AS.
> 
> If you are connecting multiple AS's mesh your neighbors to a route server.
> The route server makes the meshing easy to do.
> 
> If your trying to redistribute between IGP's (ie: ospf, is-is etc.) the
> redistribute commands are pretty straight forward (ie: redistribute ospf,
> rip, static etc.).  With link state protocols you can't use distribute
> lists because the topology databases need to be synchronized. 
> 

Hi Steve,

I'm an trying to redistribute multiple IGPs in the same AS. It seems to me
however that peer redistribution (e.g. directly between ospf/rip, etc) is a
tricky business and if you have lots of entry/exit points, it can be quite
complicated.

I was just wondering if BGP could be used since it was designed to interconnect
different IGPs and already ensures no looping of routing information, provides
selection of paths, etc. What I am proposing is using BGP to introduce another
routing abstraction between IGP routing  and  EGP routing. I was just wondering
if using BGP to provide a consistent interface between IGP justifies the extra
overhead/complexity of introducing BGP.

Duke

To: "Dooley, William" <[email-masked]>
cc: BGP Committee <[email-masked]>, "O'Neil, Richard" <[email-masked]>
Reply-To: [email-masked]
Subject: Re: BGP Issue - Valid Configuration? 
Date: Tue, 14 Oct 1997 23:51:23 -0400
From: Curtis Villamizar <[email-masked]>
Sender: [email-masked]

In message <[email-masked]>, "Doole
y, William" writes:
> Dear BGP Persons,
> 
> I am trying to inquire about a configuration that I am in a debate over
> with some of my colleagues.  The debate is whether to use BGP or OSPF V2
> to build a single, large Autonomous System (2000+ routes).  BGP is being
> positioned by some of my colleagues, because of route aggregation across
> a central Frame Relay Backbone.  I am suggesting OSPF because it seems
> the logical choice since it is an IGP and can handle route summaries
> similar to route aggregation.  I am also pushing the fact that OSPF can
> do load sharing, and BGP does not have this capability.   A question for
> you is, how would BGP react in a single AS consisting of a 8 Internal
> BGP peers running across Frame Relay with out any connection to any
> other AS.  I don't see the benefit of BGP because we are not taking
> advantage of any of the policy stuff involving detailed examination of
> BGP path attributes.   Have you ever seen someone use BGP in this
> manner, and can you tell me what would happen to BGP if we lost one of
> the DLCI's of the Frame Relay, which in turn would take away the Full
> Mesh configuration that you need to run in this configuration.  
> 
> If you can take the time to answer these questions I would very much
> appreciate it.   I just do not have the real world knowledge of BGP like
> yourselves.  
> 
> 
> Again Thank you,
> 
> Richard O'Neil Jr.  (Xyplex Networks)

Richard,

[email-masked] was the IETF BGP WG which is now the IDR WG and the new
list is at [email-masked].

It sounds like you are trying to build a large flat network, IP over a
level 2 mesh.  A full mesh probably won't scale well to 2000+ router.
If you mean 2,000+ edges you have a better chance.  If you mean 2,000+
subnets that are routes through a backbone with a much smaller number
of routers, multiple subnets within buildings for example, then
scaling will not be much of an issue.  Your description may be
lacking.

If you contrain your logical topology such that there is some
hierarchy, things will scale much better.  You will often be taking 2
FR hops which is not the most cost effective if you have distance
insensitive pricing.

If one of your goals is not to take extra hops, then one solution is
to build a routing hierarchy but forward over "short cuts".  NHRP is
one way to do this staying within standards.  There are some caviats
to using NHRP (see RFC1932, for examples) but as long as you have no
alternate routes around the FR fabric and don't connect to the outside
world in multiple places (particularly don't transit to the outside
world over the FR fabric) then NHRP is OK.  A better solution IMHO is
to put the SNPA (the DCLI for FR) in a BGP attribute or OSPF opaque
LSA and pass it that way.  There is not standard currently covering
the latter approach though the approach has been discussed for at
least as long as NHRP has been around.

OTOH, if larger CIR are priced lower per bit than small CIR (generally
true) and pricing is per VC plus CIR, it can be cheaper to build
hierarchy, tak multiple hops and use far less VCs.  This is the
simplest way to do things.

Sounds like OSPF keeping the areas small, would be fine.  Try for
short cuts only if you have to since it can be more headache than its
worth and it may end up costing more rather than less.

Curtis

From: [email-masked] (Duke Tantiprasut)
Subject: application of BGP
To: [email-masked]
Date: Tue, 14 Oct 1997 11:31:15 +0800 (WST)
Sender: [email-masked]

Hi,

I am unfamiliar with BGP so please excuse me if the following 
question is trival.

I have an AS which runs several (diff) IGP which needs to be interconnected.
The literature that I have come across so far suggested the use of
"distribute-list" for mutual redistribution however this can becomes quite
overwhelming. BGP seems the logical choice for interconnecting different IGPs.
How can I apply BGP to this scenario within a single AS.

Any suggestion is greatly appreciated.

  Duke

_______________________________________________________________________
Duke Tantiprasut (PhD Cand.)     Australian Telecommunications
                                 Research Institute  (ATRI)    .-_|\
Phone:  +61 8 9266 3262          Curtin Uni of Technology     /     \
Fax:    +61 8 9266 3244          Bentley WA, 6102.	      P_.-._/
e-mail: [email-masked]  Australia			   o
_______________________________________________________________________

Posted-Date: Mon, 13 Oct 1997 12:12:09 -0700 (PDT)
Date: Mon, 13 Oct 1997 15:24:35 -0400
From: [email-masked] (Dimitry Haskin)
To: [email-masked]
Subject: Re: (IPng 4540) Re: BGP and renumbering.. was /126 or /127 -- neither!
Cc: [email-masked], [email-masked]
Sender: [email-masked]

Curtis,

> 
> In message <3.0.32.19970925182031.006dfec8@pobox>, Dimitry Haskin writes:
> > At 02:14 PM 9/25/97 -0700, Pedro Marques wrote:
> > >The discussion so far as been on what to carry on a EBGP peering on a direct
> > >link and my proposal doesn't restrict anyone from doing anything they wish.
> > 
> > I don't get why it so difficult to understand but you're forcing one to
> > assign a global address to the IX interface. That hardly qualifies as
> > "doesn't restrict anyone from doing anything they wish".
> > 
> > Dimitry
> 
> 
> This is exactly as it should be.  There must be a globally significant
> address for the IX interface and it cannot change with renumbering of
> any of the peers at the IX.
> 
> Curtis
> 

I agree that as far as IPv4 is concerned it is the only option to make
IX interfaces impervious to the renumbering of peer ASs.  I'm not
convinced that it is the only option in IPv6.  I understand the remote
monitoring issue but I hope it can be solved with proper tools that
utilize the source routing.  Note that I'm not proposing to elimibate
the possibility of assigning global addresses to the IX interface -- it
may turn out to be the preferred way to handle IX interfaces.  I just
think that eliminating other deployment options that are possible
in IPv6 even before we get chance to experiment and learn is unwise.

Dimitry

To: Dimitry Haskin <[email-masked]>
cc: Pedro Marques <[email-masked]>, [email-masked], [email-masked]
Reply-To: [email-masked]
Subject: Re: (IPng 4540) Re: BGP and renumbering.. was /126 or /127 -- neither! 
Date: Mon, 13 Oct 1997 12:51:04 -0400
From: Curtis Villamizar <[email-masked]>
Sender: [email-masked]

In message <3.0.32.19970925182031.006dfec8@pobox>, Dimitry Haskin writes:
> At 02:14 PM 9/25/97 -0700, Pedro Marques wrote:
> >The discussion so far as been on what to carry on a EBGP peering on a direct
> >link and my proposal doesn't restrict anyone from doing anything they wish.
> 
> I don't get why it so difficult to understand but you're forcing one to
> assign a global address to the IX interface. That hardly qualifies as
> "doesn't restrict anyone from doing anything they wish".
> 
> Dimitry

This is exactly as it should be.  There must be a globally significant
address for the IX interface and it cannot change with renumbering of
any of the peers at the IX.

Curtis

To: [email-masked]
cc: [email-masked]
Subject: multiprotocol extensions
Date: Mon, 13 Oct 97 06:46:31 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]

Joel,

The IDR WG would like to ask the IESG to advance
draft-ietf-idr-bgp4-multiprotocol-01.txt to a
Proposed Standard.

Yakov.

From: "Dooley, William" <[email-masked]>
To: BGP Committee <[email-masked]>
Cc: "O'Neil, Richard" <[email-masked]>
Subject: BGP Issue - Valid Configuration?
Date: Fri, 10 Oct 1997 16:22:36 -0400
Sender: [email-masked]

Dear BGP Persons,

I am trying to inquire about a configuration that I am in a debate over
with some of my colleagues.  The debate is whether to use BGP or OSPF V2
to build a single, large Autonomous System (2000+ routes).  BGP is being
positioned by some of my colleagues, because of route aggregation across
a central Frame Relay Backbone.  I am suggesting OSPF because it seems
the logical choice since it is an IGP and can handle route summaries
similar to route aggregation.  I am also pushing the fact that OSPF can
do load sharing, and BGP does not have this capability.   A question for
you is, how would BGP react in a single AS consisting of a 8 Internal
BGP peers running across Frame Relay with out any connection to any
other AS.  I don't see the benefit of BGP because we are not taking
advantage of any of the policy stuff involving detailed examination of
BGP path attributes.   Have you ever seen someone use BGP in this
manner, and can you tell me what would happen to BGP if we lost one of
the DLCI's of the Frame Relay, which in turn would take away the Full
Mesh configuration that you need to run in this configuration.  

If you can take the time to answer these questions I would very much
appreciate it.   I just do not have the real world knowledge of BGP like
yourselves.  

Again Thank you,

Richard O'Neil Jr.  (Xyplex Networks)

To: [email-masked]
cc: [email-masked]
Subject: Re: draft-ietf-idr-route-damp-00-preview-01 
Date: Thu, 09 Oct 97 08:10:15 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]

Curtis,
 
> Any objection to my using the name draft-ietf-idr-route-damp-00 for
> the route flap damping draft?  

The name is fine.

Yakov.

To: [email-masked]
cc: [email-masked], [email-masked]
Reply-To: [email-masked]
Subject: draft-ietf-idr-route-damp-00-preview-01
Date: Thu, 09 Oct 1997 02:16:11 -0400
From: Curtis Villamizar <[email-masked]>
Sender: [email-masked]

Yakov,

Any objection to my using the name draft-ietf-idr-route-damp-00 for
the route flap damping draft?  It's supposed to be a WG output to use
draft-ietf-idr- so I thought I'd ask.

The preview is at:

  http://engr.ans.net/route-damp/

If there are no objections about using the name or immediate comments
about the content, I'll remove the -preview-01 from the number and
submit the text and ps to the RFC editor.

Curtis

From: "Pain" <[email-masked]>
To: <[email-masked]>
Date: Thu, 2 Oct 1997 12:06:13 -0300
Sender: [email-masked]

Hello !

I would like some information about the mailing list and some sites where i
can
find information about the BGP (i already read the RFC's about it) if it's
possible.

Thanks